Linked Data for Ruby

This is a meta-distribution of RDF.rb including all currently available and usable parsing/serialization extensions, intended to make producing and consuming Linked Data with Ruby as quick & easy as possible.

Gem Version Build Status


The RDF::Raptor gem can be added to add support for high-performance readers and writers using Raptor


require 'linkeddata'



Note, this distribution requires Nokogiri, which makes it not pure-ruby. Other than RDF::Microdata, Nokogiri is only a soft dependency, so environments where using native gems is not feasible should include only the gems upon which they directly depend.


The recommended installation method is via RubyGems. To install the latest official release of the gem, do:

% [sudo] gem install linkeddata


This is free and unencumbered public domain software. For more information, see or the accompanying UNLICENSE file.